# Class CIM_PackageCooling
extends CIM_PackageDependency

Note: The use of this association has been deprecated. Instead, the more generic PackageDependency relationship should be used. Deprecated description: Often, a CoolingDevice is installed in a Package such as a Chassis or a Rack, not for a specific Device, but to assist in the cooling of the Package in general.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_PackageDependency
|
+--CIM_PackageCooling

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_PackageDependency
Description | string | Note: The use of this association has been deprecated. Instead, the more generic PackageDependency relationship should be used. Deprecated description: Often, a CoolingDevice is installed in a Package such as a Chassis or a Rack, not for a specific Device, but to assist in the cooling of the Package in general.
UMLPackagePath | string | CIM::Device::CoolingAndPower
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_PackageCooling | CIM_CoolingDevice
Dependent | CIM_PackageCooling | CIM_PhysicalPackage

## Class Methods